Auth
Change password
Change the password of the user the API token belongs to. The current password must be supplied. Requires a user API token.
PUT
/
password
Change password
curl --request PUT \
--url https://cookiechimp.com/api/v1/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"current_password": "correct-horse-battery-staple",
"password": "a-longer-new-password",
"password_confirmation": "a-longer-new-password"
}
}
'import requests
url = "https://cookiechimp.com/api/v1/password"
payload = { "user": {
"current_password": "correct-horse-battery-staple",
"password": "a-longer-new-password",
"password_confirmation": "a-longer-new-password"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: {
current_password: 'correct-horse-battery-staple',
password: 'a-longer-new-password',
password_confirmation: 'a-longer-new-password'
}
})
};
fetch('https://cookiechimp.com/api/v1/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"errors": [
{
"code": 401,
"message": "Invalid API Key"
}
]
}{
"error": "Invalid Email or password."
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Was this page helpful?
⌘I
Change password
